Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 7.0.sles10.lc
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: apache2 gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick perl-PerlMagick apache2-mod_perl mysql perl-DBD-mysql perl-DBI perl-Algorithm-Diff perl-Authen-Krb4 perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net_SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-CRC32 perl-String-Similarity perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types tetex zip perl-libwww-perl te_latex ghostscript psutils ntp at gnuplot_loncapa perl-Cache-Memcached memcached mailx perl-Time-HiRes wget pwdutils make perl-Date-Manip unzip 
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Fri  Aug 25 2006 <raeburn@msu.edu> -
- Added unzip dependency. Switch to apache2, mod_perl 2. Eliminate php conflict.
- Change release name for sles10

* Thu Sep  9 2004 <matthew@kirk.lite.msu.edu> -
- Updated dependencies

* Thu Aug  5 2004  <matthew@kirk.lite.msu.edu> - 
- Initial build.

